#pragma once


class CSettingDlg : public CDialog
{
	DECLARE_DYNCREATE(CSettingDlg)
private:

	bool m_isSetting;

	CButton m_chkOutput[10];
	CButton m_chkInput[16];
	CButton m_chkADC[4];
	CComboBox m_cmbADC[4];
	CButton m_chkPwrStop[10];

public:
	CSettingDlg(CWnd* pParent = NULL);
	virtual ~CSettingDlg();


	enum { IDD = IDD_DIALOG_SETTING};//, IDH = IDR_HTML_SETTINGDLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual BOOL OnInitDialog();
	afx_msg LRESULT OnReceive(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
//	DECLARE_DHTML_EVENT_MAP()
public:
	void Init(void);
	void InitOutput(void);
	void InitADC(void);
	void InitEnable(void);
	void InitPwrStop(void);
	afx_msg void OnBnClickedButtonSetOutput();
	afx_msg void OnBnClickedButtonSetInput();
	afx_msg void OnBnClickedButtonSetEnable();
	afx_msg void OnBnClickedButtonSetPwrStop();
	void EnableSettingButton(bool eVal);
	afx_msg void OnBnClickedButtonMonitorEnable();
	afx_msg void OnBnClickedButtonMonitorOutput();
	afx_msg void OnBnClickedButtonMonitorInput();
	afx_msg void OnBnClickedButtonMonitorPwrStop();
	afx_msg void OnEnChangeEditMacro();
	afx_msg void OnBnClickedButtonFactoryReset();
	BOOL m_rdOuputKindVal;
	afx_msg void OnBnClickedButtonSetmode();
	afx_msg void OnBnClickedButtonRunMode();
	afx_msg void OnBnClickedRadioDelayOn();
	afx_msg void OnBnClickedRadioDelayOff();
	afx_msg void OnBnClickedRadioPulse();
	afx_msg void OnBnClickedButtonMonitorOutput2();
	afx_msg void OnBnClickedButtonSetOutput2();
	afx_msg void OnBnClickedCheckUseMacro();
	afx_msg void OnBnClickedCheckUseDelayPulse();
	afx_msg void OnBnClickedButtonMonitorSerial();
	afx_msg void OnBnClickedButtonSetSerial();
	void InitSerialNum(void);
};
